{ pkgs, ... }:
let
  shellAliases = {
    update-boot = "sudo nixos-rebuild boot --max-jobs 10 --build-host admin@10.0.1.3";
    update-switch = "sudo nixos-rebuild switch --max-jobs 10 --build-host admin@10.0.1.3";
    update-flake = "nix flake update desktop-nixpkgs desktop-chaotic desktop-home-manager desktop-impermanence desktop-lanzaboote desktop-nixos-hardware desktop-sops-nix desktop-steam-rom-manager --flake /etc/nixos";
    update-nas = "nixos-rebuild switch --use-remote-sudo --target-host admin@10.0.1.3 --build-host admin@10.0.1.3 --flake ~/nix-config#jallen-nas";
  };
in
{
  home.username = "matt";

  mjallen = {
    sops = {
      enable = true;
    };
  };

  services = {
    remmina = {
      enable = true;
      addRdpMimeTypeAssoc = true;
    };
  };

  programs = {
    password-store.enable = true;

    zsh.shellAliases = shellAliases;
  };

  home.packages = with pkgs; [
    bottles
    compose2nix
    discord
    distrobox
    heroic
    omnissa-horizon-client
    jq
    lutris
    lzip
    morph
    orca-slicer
    piper
    prismlauncher
    protontricks
    protonvpn-gui
    python3
    runelite
    smile
    unigine-heaven
    via
    virt-manager
    vorta
    waydroid-helper
  ];
}
